<?php
// register post type Portfolio

add_action( 'init', 'register_anondho_Events' );
function register_anondho_Events() {
    
    $labels = array( 
        'name' => __( 'Events', 'anondho' ),
        'singular_name' => __( 'Events', 'anondho' ),
        'add_new' => __( 'Add New Events', 'anondho' ),
        'add_new_item' => __( 'Add New Events', 'anondho' ),
        'edit_item' => __( 'Edit Events', 'anondho' ),
        'new_item' => __( 'New Events', 'anondho' ),
        'view_item' => __( 'View Events', 'anondho' ),
        'search_items' => __( 'Search Events', 'anondho' ),
        'not_found' => __( 'No Events found', 'anondho' ),
        'not_found_in_trash' => __( 'No Events found in Trash', 'anondho' ),
        'parent_item_colon' => __( 'Parent Events:', 'anondho' ),
        'menu_name' => __( 'Events', 'anondho' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Events',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Events', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => get_stylesheet_directory_uri(). '/img/admin_ico.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Events', $args );
}
add_action( 'init', 'create_EventsType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_EventsType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'anondho' ),
    'singular_name' => __( 'Type', 'anondho' ),
    'search_items' =>  __( 'Search Type','anondho' ),
    'all_items' => __( 'All Type','anondho' ),
    'parent_item' => __( 'Parent Type','anondho' ),
    'parent_item_colon' => __( 'Parent Type:','anondho' ),
    'edit_item' => __( 'Edit Type','anondho' ), 
    'update_item' => __( 'Update Type','anondho' ),
    'add_new_item' => __( 'Add New Type','anondho' ),
    'new_item_name' => __( 'New Type Name','anondho' ),
    'menu_name' => __( 'Type','anondho' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Events',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));

}


add_action( 'init', 'register_anondho_Gallery' );
function register_anondho_Gallery() {
    
    $labels = array( 
        'name' => __( 'Gallery', 'anondho' ),
        'singular_name' => __( 'Gallery', 'anondho' ),
        'add_new' => __( 'Add New Gallery', 'anondho' ),
        'add_new_item' => __( 'Add New Gallery', 'anondho' ),
        'edit_item' => __( 'Edit Gallery', 'anondho' ),
        'new_item' => __( 'New Gallery', 'anondho' ),
        'view_item' => __( 'View Gallery', 'anondho' ),
        'search_items' => __( 'Search Gallery', 'anondho' ),
        'not_found' => __( 'No Gallery found', 'anondho' ),
        'not_found_in_trash' => __( 'No Gallery found in Trash', 'anondho' ),
        'parent_item_colon' => __( 'Parent Gallery:', 'anondho' ),
        'menu_name' => __( 'Gallery', 'anondho' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Gallery',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Gallery', 'type1' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => get_stylesheet_directory_uri(). '/img/admin_ico.png', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Gallery', $args );
}
add_action( 'init', 'create_GalleryType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_GalleryType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'anondho' ),
    'singular_name' => __( 'Type', 'anondho' ),
    'search_items' =>  __( 'Search Type','anondho' ),
    'all_items' => __( 'All Type','anondho' ),
    'parent_item' => __( 'Parent Type','anondho' ),
    'parent_item_colon' => __( 'Parent Type:','anondho' ),
    'edit_item' => __( 'Edit Type','anondho' ), 
    'update_item' => __( 'Update Type','anondho' ),
    'add_new_item' => __( 'Add New Type','anondho' ),
    'new_item_name' => __( 'New Type Name','anondho' ),
    'menu_name' => __( 'Type','anondho' ),
  );     

// Now register the taxonomy

  register_taxonomy('type1',array('Gallery',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));

}